public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/mkautodoc/
Date: Mon,  9 Mar 2020 14:53:04 +0000 (UTC)	[thread overview]
Message-ID: <1583760140.a3fa84db2925c90d1fe3122321c193eb4ccdeb89.andrewammerlaan@gentoo> (raw)
Message-ID: <20200309145304.GUxUFCAd2XZ3C9-aP3jo3Z1gDyTXsMKki_xJSwRYLaM@z> (raw)

commit:     a3fa84db2925c90d1fe3122321c193eb4ccdeb89
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Mar  9 13:22:20 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  9 13:22:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a3fa84db

dev-python/mkautodoc: AutoDoc for MarkDown

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/mkautodoc/Manifest               |  1 +
 dev-python/mkautodoc/metadata.xml           |  9 +++++++++
 dev-python/mkautodoc/mkautodoc-0.1.0.ebuild | 25 +++++++++++++++++++++++++
 3 files changed, 35 insertions(+)

diff --git a/dev-python/mkautodoc/Manifest b/dev-python/mkautodoc/Manifest
new file mode 100644
index 0000000..7467e3b
--- /dev/null
+++ b/dev-python/mkautodoc/Manifest
@@ -0,0 +1 @@
+DIST mkautodoc-0.1.0.tar.gz 5654 BLAKE2B c0ae754e800ea25e9cccc621b4fd5c8d1561c57808b301ac5a3036ca18fda1adc432006e13b777a83dcc2cd6960a34745e17dfbcbbda24098902198d4fc9d743 SHA512 7ccb0a03016e2984d88d78eca2a8ee01e2153ff574c912358640c158b2084e3c365ace0fdb89cb74bb1950c68775d9d3cb11201cbf3c6d136dc7886a3294dc89

diff --git a/dev-python/mkautodoc/metadata.xml b/dev-python/mkautodoc/metadata.xml
new file mode 100644
index 0000000..628ab20
--- /dev/null
+++ b/dev-python/mkautodoc/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+    <maintainer type="person">
+        <email>andrewammerlaan@riseup.net</email>
+        <name>Andrew Ammerlaan</name>
+    </maintainer>
+</pkgmetadata>

diff --git a/dev-python/mkautodoc/mkautodoc-0.1.0.ebuild b/dev-python/mkautodoc/mkautodoc-0.1.0.ebuild
new file mode 100644
index 0000000..42d7ff9
--- /dev/null
+++ b/dev-python/mkautodoc/mkautodoc-0.1.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="AutoDoc for MarkDown"
+HOMEPAGE="https://github.com/tomchristie/mkautodoc"
+SRC_URI="https://github.com/tomchristie/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/markdown[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+	PYTHONPATH="${WORKDIR}/${P}/tests/mocklib:${WORKDIR}/${P}"
+	pytest -vv || die "tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-03-09 14:53 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-09 13:22 Andrew Ammerlaan [this message]
2020-03-09 14:53 ` [gentoo-commits] repo/proj/guru:master commit in: dev-python/mkautodoc/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-03-27 17:53 [gentoo-commits] repo/proj/guru:dev " Alessandro Barbieri
2020-04-16  9:59 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-16  8:34 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583760140.a3fa84db2925c90d1fe3122321c193eb4ccdeb89.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox